/*
 * ProvaProducer.java
 *
 * Created on August 16, 2002, 3:40 PM
 */

/**
 *
 * @author  Mauro Caporuscio
 */
import siena.*;
import java.util.*;
public class CoMETA_Stabilize_Producer {
    
    /** Creates a new instance of ProvaProducer */
    public CoMETA_Stabilize_Producer() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        
        String server = "ka:"+args[0];
        int eventsNum   = Integer.parseInt(args[1]);
        int eventsRange = Integer.parseInt(args[2]);
        int eventsDelay = Integer.parseInt(args[3]);
        long start = 0;
        try{
             ThinClient prod = new ThinClient(server);
             Random ran = new Random(); 
             
             for(int i=0; i<eventsNum; i++)
                {
                  Notification notif = new Notification();
                  
                  notif.putAttribute("type","::msk_test");
                  notif.putAttribute("id",i);
                  
                  //String date = (new Date()).toString();
                  notif.putAttribute("time", System.currentTimeMillis());
                  
                  int num = ran.nextInt(eventsRange);
                  notif.putAttribute("NUM", num);
                  
                  // send it
                  prod.publish(notif);
                  System.out.println("I've published: " + notif.toString());
                  
                  Thread.sleep(eventsDelay);
                }  
             prod.shutdown();
           }
        catch(Exception ex){
             ex.printStackTrace();
             System.exit(1);
           } 

    }
    
}
