/*
 * MoveOutCheckRequest.java
 *
 * Created on September 5, 2002, 2:21 PM
 */

/**
 *
 * @author  Mauro Caporuscio
 */
import siena.*;
import CoMETA.*;

public class MoveOutCheckCatch implements Notifiable {
    
    String ClientID = null;
    String SienaConnection;
    
    /** Creates a new instance of MoveOutCheckRequest */
    public MoveOutCheckCatch(String Server, String id) {
           ClientID = id;
           SienaConnection = Server;
    }
    
    public void notify(Notification n) throws SienaException {
        System.out.println("MoveOutCheckCatch: "+ n.toString());
        Notification ack = new Notification();
        ack.putAttribute("__TYPE__", "__MOVEOUT_ACK__");
        ack.putAttribute("__CLIENT_ID__", ClientID);
        try{
             ThinClient p = new ThinClient(SienaConnection);
             p.publish(ack);
             System.out.println("published: " + ack.toString());
             p.shutdown();
        }catch(Exception ex){
             ex.printStackTrace();
        }           
    }
    
    public void notify(Notification[] s) throws SienaException {
    }
    
}

