/*
 * PingCatch.java
 *
 * Created on August 13, 2002, 9:46 AM
 */

/**
 *
 * @author  Mauro Caporuscio
 */
import siena.*;

public class PingCatch implements Notifiable{
    
    String ClientID = null;
    ThinClient SienaConnection;
    
    synchronized public void notify(Notification notification) {
      if (SienaConnection == null) return;

        System.out.println("PingCatch: "+ notification.toString());
        Notification ack = new Notification();
        ack.putAttribute("__TYPE__", "__PING_ACK__");
        ack.putAttribute("__CLIENT_ID__", ClientID);
        try{
             SienaConnection.publish(ack);
             System.out.println("published: " + ack.toString());
        }catch(Exception ex){
             ex.printStackTrace();
        }           
    }
    
    public void notify(Notification[] s) throws SienaException {
    }
    
    public PingCatch(String Client_id, String connection, Filter f){
        ClientID = Client_id;
        try{
             SienaConnection = new ThinClient(connection);
             SienaConnection.subscribe(f, this);
        }catch(Exception ex){
             ex.printStackTrace();
        }
    }

    public void close(){
    try{
        SienaConnection.unsubscribe(this);
        SienaConnection.shutdown();
	SienaConnection = null;
    }catch(Exception ex){
             ex.printStackTrace();
        }
    }
    
}
