package CoMETA;

/*
 * ConnectedClient.java
 *
 * Created on August 7, 2002, 5:05 PM
 */

/**
 *
 * @author  Mauro Caporuscio
 */
import java.util.Vector;

public class ConnectedClient {
        
    private String Client_id = null;
    private NotificationsPersistence stored_Notifications = null;
    private boolean moving = false;
    private DummyInterface service = null;
    public boolean MoveInAck = false;
    public boolean MoveOutAck = false;
    
    /** Creates a new instance of ConnectedClient */
    public ConnectedClient(String identity) {
        Client_id = identity;
        stored_Notifications = new NotificationsPersistence();
    }
    
    public String getID(){
       return Client_id;
    }
    
    public void setServiceDummy(DummyInterface s){
         service = s;
    }
    
    public DummyInterface getServiceDummy(){
         return service;
    }
    
    public NotificationsPersistence getPersistentNotifications(){
      return stored_Notifications;
    }
    
    public void movingON(){
      moving = true;
    }
    
    public void movingOFF(){
      moving = false;
    }
    
    public boolean isMoving(){
      return moving;
    }
}