/*
 * startProxy.java
 *
 * Created on November 9, 2002, 2:37 PM
 */

package CoMETA;

/**
 *
 * @author  Administrator
 */
import java.util.Hashtable;

public class startProxy {
    
    private Hashtable ClientList                   = null;
    private ProxyToClient  proxyToClient           = null;
    private ProxyToProxy   proxyToProxy            = null;
    private ProxyToServiceInterface proxyToService = null; 
    private Listener listener                      = null;
    
    private String serviceAddress                  = null;
    private String proxyAddress                    = null;
    
    public startProxy(String myHost, String serviceHost, String p2sClass) throws Exception{
        
        ClientList = new Hashtable();
        
        ClassLoader loader = ClassLoader.getSystemClassLoader();
        proxyToService = (ProxyToServiceInterface) loader.loadClass(p2sClass).newInstance();
        serviceAddress = serviceHost;
        proxyToService.initialize(serviceAddress, ClientList);
        
        proxyToClient = new ProxyToClient(proxyToService, ClientList);
        
        proxyToProxy = new ProxyToProxy(ClientList);
        
        proxyAddress = myHost;
        listener = new Listener(proxyAddress, proxyToClient, proxyToProxy);    
    }
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        
        String myHost      = args[0];
        String serviceHost = args[1];
        String p2sClass    = args[2];
        
        try{
             startProxy proxy = new startProxy(myHost, serviceHost, p2sClass);
             proxy.listener.run();
        }catch(Exception ex){
           ex.printStackTrace();
           System.exit(0);
        }
        
    }
    
}
